%define pkg_name        Data-Walk
%define pkg_version     1.00
%define rpm_pkg_version 1.00
%define rpm_pkg_release 2.n0i.2

Summary:       Traverse Perl data structures
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/G/GU/GUIDO/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(File::Spec) >= 0.80
BuildRequires: perl(Hook::LexWrap) >= 0.20
BuildRequires: perl(Test::Builder::Tester) >= 1.02
BuildRequires: perl(Test::More) >= 0.60
%endif

Requires: perl(Hook::LexWrap) >= 0.20


%description
Data::Walk is for data, what File::Find is for file systems. You can use it
for traversing arbitrarily complex Perl data structures.
Its closest relatives on CPAN are currently Data::Traverse and Data::Walker.
Data::Traverse is very similar but can only handle unblessed references and
has less options. Data::Walker offers an interactive approach for traversing
data structures.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc ChangeLog COPYING.LESSER NEWS README ReleaseNotes


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.00-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Sat May 13 2006 Marius Feraru <altblue@n0i.net> 1.00-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
